Package ru.bitel.bgbilling.plugins.crm.common.model

# Class RegisterSubject

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.crm.common.model.RegisterSubject

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class RegisterSubject extends IdTitle implements ListItem

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RegisterSubject.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterSubject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RegisterSubject.Builder`
  `builder()`
  `int`
  `getGroupId()`
  `boolean`
  `isAutoClose()`
  `void`
  `setAutoClose(boolean autoClose)`
  `void`
  `setGroupId(int groupId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId, getTitle`

- ## Constructor Details

  - ### RegisterSubject

    public RegisterSubject()

- ## Method Details

  - ### getGroupId

    public int getGroupId()

  - ### setGroupId

    public void setGroupId(int groupId)

  - ### setAutoClose

    public void setAutoClose(boolean autoClose)

  - ### isAutoClose

    public boolean isAutoClose()

  - ### builder

    public static RegisterSubject.Builder builder()